<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android" >

    <PreferenceCategory
        android:key="notification_setting"
        android:title="@string/pref_header_notifications" >
        <SwitchPreference
            android:defaultValue="true"
            android:key="notifications_new_message"
            android:summary="@string/pref_notifications_summary_on"
            android:summaryOff="@string/pref_notifications_summary_off"
            android:summaryOn="@string/pref_notifications_summary_on"
            android:title="@string/pref_title_new_message_notifications" />

        <!-- Allows the user to choose a ringtone in the 'notification' category. -->
        <!-- NOTE: This preference will be enabled only when the checkbox above is checked. -->


        <!-- NOTE: This preference will be enabled only when the checkbox above is checked. -->
        <SwitchPreference
            android:defaultValue="true"
            android:dependency="notifications_new_message"
            android:key="notifications_new_message_sound"
            android:summary="@string/pref_sound_on"
            android:summaryOff="@string/pref_sound_off"
            android:summaryOn="@string/pref_sound_on"
            android:title="@string/pref_title_sound" />
        <!-- NOTE: This preference will be enabled only when the checkbox above is checked. -->
        <SwitchPreference
            android:defaultValue="true"
            android:dependency="notifications_new_message"
            android:key="notifications_new_message_vibrate"
            android:summary="@string/pref_vibrate_on"
            android:summaryOff="@string/pref_vibrate_off"
            android:summaryOn="@string/pref_vibrate_on"
            android:title="@string/pref_title_vibrate" />
    </PreferenceCategory>

</PreferenceScreen>